(function ($) {
	
	$.fn.rup_combo("extend", {
		 _getBlankLabel: function (id) {
            var app = $.rup.i18n.app;
            if (app[id] && app[id]._blank) {
                return app[id]._blank;
            }
            return $.rup.i18nParse($.rup.i18n.app, "comun._blank");
        }
	});
	
	jQuery.fn.rup_table("extend",{
		getSelectedRowData: function(){
			var $self = $(this);
			var rowid = $self.rup_table("getGridParam", "selrow");
			return $self.jqGrid("getRowData", rowid);
		}
		, isSelected: function(){
			var $self = $(this);
			if($self.rup_table("getGridParam", "usePlugins").indexOf("multiselection") != -1){
				var selec = $self.rup_table("getSelectedIds");
				return selec.selectedAll || selec.selectedIds != null;
			} else {
				return $self.rup_table("getGridParam", "selrow") != null;
			}
		}
	});
	
})(jQuery);